#
# spec file for package python-django-static
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-django-static
Version:        1.5.5
Release:        lp152.3.3
Url:            http://github.com/peterbe/django-static
Summary:        Template tags for better serving static files from templates
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         django-static-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
Requires:       python-django
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Template tags for better serving static files from templates in Django.

%prep
%setup -q -n django-static-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.md
%{python_sitelib}/*

%changelog
* Thu Jun 13 2013 alexandre@exatati.com.br
- Maintainer added COPYING file.
  Fix https://bugzilla.novell.com/show_bug.cgi?id=751988.
* Wed Mar 14 2012 saschpe@suse.de
- Simplified macro usage
- Removed outdated %%clean section
- Package README.rst
- Pick BSD-3-Clause as license (instead of just 'BSD')
* Thu Oct 27 2011 alexandre@exatati.com.br
- Update to 1.5.5:
  - Sorry, no changelog atm.
* Tue Mar 22 2011 alexandre@exatati.com.br
- Update to 1.5.4.
* Sun Mar 20 2011 alexandre@exatati.com.br
- Update to 1.5.3.
* Fri Mar 11 2011 alexandre@exatati.com.br
- Update to 1.5.2;
- Regenerated spec file with py2pack.
* Sun Jan 16 2011 alexandre@exatati.com.br
- Update to 1.5.1.
* Tue Jan 11 2011 alexandre@exatati.com.br
- Update to 1.5.0.
* Mon Jan 10 2011 alexandre@exatati.com.br
- Update to 1.4.1.
* Wed Sep 15 2010 alexandre@exatati.com.br
- Update to 1.4.0;
- Bzip2 source file.
* Thu Aug  5 2010 alexandre@exatati.com.br
- Update to 1.3.9.
* Sat Jun 12 2010 alexandre@exatati.com.br
- Update to 1.3.8.
* Mon May 31 2010 alexandre@exatati.com.br
- Update to 1.3.7.
* Mon May 31 2010 alexandre@exatati.com.br
- Update to 1.3.6.
* Sat May  8 2010 alexandre@exatati.com.br
- Update to 1.3.5.
* Fri May  7 2010 alexandre@exatati.com.br
- Update to 1.3.4.
* Wed Apr 28 2010 alexandre@exatati.com.br
- Updatet to 1.3.3.
* Wed Mar 31 2010 alexandre@exatati.com.br
- Update to 1.3.2;
- Spec file cleaned with spec-cleaner.
* Mon Feb  8 2010 alexandre@exatati.com.br
- Update to 1.3.1.
* Mon Jan 25 2010 alexandre@exatati.com.br
- Update to 1.3.
* Thu Dec 17 2009 alexandre@exatati.com.br
- Initial package (1.2.2) for openSUSE.
